#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.18
visibility:           public
id:                   hledger-lib-1.18-1khgVH2usAb21iGtZ06D5I
key:                  hledger-lib-1.18-1khgVH2usAb21iGtZ06D5I
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    A reusable library providing the core functionality of hledger

description:
    A reusable library containing hledger'\''s core functionality.
    This is used by most hledger* packages so that they support the same
    common file formats, command line options, reports etc.

    hledger is a robust, cross-platform set of tools for tracking money,
    time, or any other commodity, using double-entry accounting and a
    simple, editable file format, with command-line, terminal and web
    interfaces. It is a Haskell rewrite of Ledger, and one of the leading
    implementations of Plain Text Accounting. Read more at:
    <https://hledger.org>

category:             Finance
abi:                  1b4c900e7884efca0f18fa36ff8f8076
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Commodity Hledger.Data.Dates
    Hledger.Data.Journal Hledger.Data.Json Hledger.Data.Ledger
    Hledger.Data.Period Hledger.Data.PeriodicTransaction
    Hledger.Data.Posting Hledger.Data.RawOptions
    Hledger.Data.StringFormat Hledger.Data.Timeclock
    Hledger.Data.Transaction Hledger.Data.TransactionModifier
    Hledger.Data.Types Hledger.Data.Valuation Hledger.Query
    Hledger.Read Hledger.Read.Common Hledger.Read.CsvReader
    Hledger.Read.JournalReader Hledger.Read.TimeclockReader
    Hledger.Read.TimedotReader Hledger.Reports
    Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Reports.TransactionsReport
    Hledger.Utils Hledger.Utils.Color Hledger.Utils.Debug
    Hledger.Utils.Parse Hledger.Utils.Regex Hledger.Utils.String
    Hledger.Utils.Test Hledger.Utils.Text Hledger.Utils.Tree
    Hledger.Utils.UTF8IOCompat Text.Tabular.AsciiWide

hidden-modules:       Text.Megaparsec.Custom Paths_hledger_lib
import-dirs:          /usr/lib/ghc-8.10.1/site-local/hledger-lib-1.18
library-dirs:         /usr/lib/ghc-8.10.1/site-local/hledger-lib-1.18
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/hledger-lib-1.18
hs-libraries:         HShledger-lib-1.18-1khgVH2usAb21iGtZ06D5I
depends:
    Decimal-0.5.1-Lx1BzEmtAUnLf9W7W1l2Fx
    Glob-0.10.0-KLV7ICFoj7D5T1GHDrFF8n
    aeson-1.5.1.0-9flD70y9OJL8EnSIjIcu4t
    aeson-pretty-0.8.8-KYak9GeLT6x3iZnlCTC8ES
    ansi-terminal-0.10.3-DnadFNPGvhdHpr4BKhTht8 array-0.5.4.0
    base-4.14.0.0 base-compat-batteries-0.11.1-HRdeMGIi3PlBaaQRxRp5hF
    blaze-markup-0.8.2.5-E0VoL1TqmRy2UxY2gFpx0K bytestring-0.10.10.0
    call-stack-0.2.0-4DQ62fw1D8cAmupdZEgnjF
    cassava-0.5.2.0-DtZeKiL73mBIaPNHGZUGRd
    cassava-megaparsec-2.0.1-EsEabPWi7Q71wJusnDybrz
    cmdargs-0.10.20-5yLBsRitu2lKoUCxdH99aC containers-0.6.2.1
    data-default-0.7.1.1-9j14EdJuVkFLjYlD1tloIt deepseq-1.4.4.0
    directory-1.3.6.0 extra-1.7.3-7YFqkEwAzIX5hcKouh4TB
    fgl-5.7.0.2-KiilrHqxll25JL3VIPbIYF
    file-embed-0.0.12.0-2N30h2jV55M9hEI1fjRZ9w filepath-1.4.2.1
    hashtables-1.2.3.4-4xPhUfshR2N5AhyzrZaJCG
    megaparsec-8.0.0-8U5R5zzJFAD9yicumcox2u mtl-2.2.2
    old-time-1.1.0.3-JoYnfsOPb5U42beoXLbXf6 parsec-3.1.14.0
    parser-combinators-1.2.1-3iWCRg2UQJfK48MB7cEEXE
    pretty-show-1.10-5aohyDmEADG9yJ0U7kMN1J
    regex-tdfa-1.3.1.0-HPvdYMAdCmlIUvSVzIJAm1
    safe-0.3.19-CK0lfIX5mWD7fu30IXX07t
    split-0.2.3.4-ByNr0H4GiIkqI7eEz5PIl
    tabular-0.2.2.7-2G81cYqDwvL63xzCtzigcl
    tasty-1.3.1-BlSO60OR1utLRT7Zlt8YnN
    tasty-hunit-0.10.0.2-3IgtUHz4v9ZDwmtWqs7TWm
    template-haskell-2.16.0.0 text-1.2.3.2 time-1.9.3
    timeit-2.0-G1rO4n9EY636waOAdcWrR transformers-0.5.6.2
    uglymemo-0.1.0.1-DsrHcnYNurj4qkvghV67BN
    utf8-string-1.0.1.1-L5P9SR8YxIu1NqwMrJwV7a

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

